# controller.py
# Walker White (wmw2), Lillian Lee (ljl2), and Steve Marschner (srm2)
# November 17, 2013
"""Breakout-like Controller module for lecture demos."""
import colormodel
import random
import math
from game2d import *

### CONSTANTS ###

# Window Size
WINDOW_WIDTH  = 512
WINDOW_HEIGHT = 512

### CONTROLLER CLASS ###

class Controller(Game):
    """Demo controller class for CS1110 game2d framework.
        
    Instance Attributes:
        view:      the view (inherited from Game) [GView]
    """

    # THREE MAIN METHODS
    
    def init(self):
        """Initialize the program state."""
        pass

    def update(self,dt):
        """Animate a single frame. Called every 1/60 of a second."""
        pass

    def draw(self):
        """Draw all particles in the view."""
        pass
        
    # HELPER METHODS


### MODEL CLASSES ###



# Script Code
if __name__ == '__main__':
    Controller(width=WINDOW_WIDTH,height=WINDOW_HEIGHT,fps=30.0).run()
